using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Input.Touch;
using Microsoft.Xna.Framework.Media;

namespace Touch_Demo
{
    public class Game1 : Microsoft.Xna.Framework.Game
    {
        GraphicsDeviceManager graphics;
        SpriteBatch spriteBatch;

        SpriteFont MoireBold24;
        Vector2 position;
        Vector2 size;
        string text = "Touch Screen Demo";


        public Game1()
        {
            graphics = new GraphicsDeviceManager(this);
            Content.RootDirectory = "Content";

            // Frame rate is 30 fps by default for Windows Phone.
            TargetElapsedTime = TimeSpan.FromTicks(333333);

            //enable gestures
            TouchPanel.EnabledGestures = GestureType.Tap | GestureType.Flick;
        }

        protected override void Initialize()
        {
            base.Initialize();
        }

        protected override void LoadContent()
        {
            spriteBatch = new SpriteBatch(GraphicsDevice);

            MoireBold24 = Content.Load<SpriteFont>("MoireBold24");

            size = MoireBold24.MeasureString(text);
            Viewport screen = GraphicsDevice.Viewport;
            position = new Vector2((screen.Width - size.X) / 2,
                (screen.Height - size.Y) / 2);

        }

        protected override void UnloadContent()
        {
        }

        protected override void Update(GameTime gameTime)
        {
            if (GamePad.GetState(PlayerIndex.One).Buttons.Back == ButtonState.Pressed)
                this.Exit();

            //get state of touch inputs
            TouchCollection touchInput = TouchPanel.GetState();

            //look at all touch points (usually 1)
            foreach(TouchLocation touch in touchInput)
            {
                position = new Vector2(touch.Position.X - size.X / 2,
                    touch.Position.Y - size.Y / 2);
            }

            
            //sample gesture input (comment out touch input to test properly)
            //if (TouchPanel.IsGestureAvailable)
            //{
            //    GestureSample gesture = TouchPanel.ReadGesture();
            //    if (gesture.GestureType == GestureType.Tap)
            //    {
            //        position = new Vector2(gesture.Position.X - size.X / 2,
            //            gesture.Position.Y - size.Y / 2);
            //    }
            //}


            base.Update(gameTime);
        }

        protected override void Draw(GameTime gameTime)
        {
            GraphicsDevice.Clear(Color.CornflowerBlue);


            spriteBatch.Begin();
            spriteBatch.DrawString(MoireBold24, text, position, Color.White);
            spriteBatch.End();


            base.Draw(gameTime);
        }
    }
}
