using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Input.Touch;
using Microsoft.Xna.Framework.Media;

namespace Many_Bitmaps_Demo
{
   
    public class Game1 : Microsoft.Xna.Framework.Game
    {
        GraphicsDeviceManager graphics;
        SpriteBatch spriteBatch;

        Vector2 position1, position2, position3, position4, position5;
        Texture2D image1, image2, image3, image4, image5;

        Texture2D[] images;
        Vector2[] positions;


        public Game1()
        {
            graphics = new GraphicsDeviceManager(this);
            Content.RootDirectory = "Content";
            TargetElapsedTime = TimeSpan.FromTicks(333333);
        }

        protected override void Initialize()
        {
            base.Initialize();
        }

        protected override void LoadContent()
        {
            spriteBatch = new SpriteBatch(GraphicsDevice);

            images = new Texture2D[5];
            positions = new Vector2[5];
            for (int n = 0; n < 5; n++)
            {
                string filename = "planet" + n.ToString();
                images[n] = Content.Load<Texture2D>(filename);
            }

            positions[0] = new Vector2(100, 240 - 64);
            positions[1] = new Vector2(300, 240 - 32);
            positions[2] = new Vector2(400, 240 - 32);
            positions[3] = new Vector2(500, 240 - 16);
            positions[4] = new Vector2(600, 240 - 16);
        }

        protected override void UnloadContent()
        {
        }

        protected override void Update(GameTime gameTime)
        {
            if (GamePad.GetState(PlayerIndex.One).Buttons.Back == ButtonState.Pressed)
                this.Exit();

            base.Update(gameTime);
        }

        protected override void Draw(GameTime gameTime)
        {
            GraphicsDevice.Clear(Color.Black);

            spriteBatch.Begin();
            for (int n = 0; n < 5; n++)
            {
                spriteBatch.Draw(images[n], positions[n], Color.White);
            }
            spriteBatch.End();

            base.Draw(gameTime);
        }
    }
}

