using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Input.Touch;
using Microsoft.Xna.Framework.Media;
using GameLibrary;

namespace Black_Hole_Game
{

    class MassiveObject : Sprite
    {
        public string name;
        public double mass;
        public Vector2 acceleration;
        public float radius,angle;
        public bool captured;
        public int lifetime, startTime;

        public MassiveObject(ContentManager content, SpriteBatch spriteBatch) 
            : base(content, spriteBatch)
        {
            name = "object";
            mass = 1.0f;
            acceleration = Vector2.Zero;
            radius = 50.0f;
            angle = 0.0f;
            this.captured = false;
            lifetime = 0;
            startTime = 0;
        }

        public void Update(GameTime gameTime)
        {
            position.X += velocityLinear.X;
            position.Y += velocityLinear.Y;
        }

        public override void Draw()
        {
 	         base.Draw();
        }

        public void Attract(MassiveObject other)
        {
            //calculate DISTANCE
            double distX = this.position.X - other.position.X;
            double distY = this.position.Y - other.position.Y;
            double dist = distX*distX + distY*distY;
            double distance = 0;
            if (dist != 0.0) distance = 1 / dist;

            //update ACCLERATION (mass * distance)
            this.acceleration.X = (float)(-1 * other.mass * distX * distance);
            this.acceleration.Y = (float)(-1 * other.mass * distY * distance);
    
            //update VELOCITY
            this.velocityLinear.X += this.acceleration.X;
            this.velocityLinear.Y += this.acceleration.Y;

            //update POSITION
            this.position.X += this.velocityLinear.X;
            this.position.Y += this.velocityLinear.Y;
        }
    }
}
