using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Input.Touch;
using Microsoft.Xna.Framework.Media;
using GameLibrary;

namespace Black_Hole_Game
{
    class OptionsModule : IGameModule
    {
        Game1 game;
        SpriteFont font;
        SpriteFont guifont;
        Random rand;
        Label lblTitle;
        Button btnReturn;

        public OptionsModule(Game1 game)
        {
            this.game = game;
            rand = new Random();
        }

        public void LoadContent(ContentManager content)
        {
            font = content.Load<SpriteFont>("WascoSans");
            guifont = content.Load<SpriteFont>("GUIFont");

            lblTitle = new Label(content, game.spriteBatch, font);
            lblTitle.text = "Options Screen";
            Vector2 size = font.MeasureString(lblTitle.text);
            lblTitle.position = new Vector2(400 - size.X / 2, 10);

            btnReturn = new Button(content, game.spriteBatch, guifont);
            btnReturn.text = "Return";
            btnReturn.position = new Vector2(400, 430);
            btnReturn.scaleV = new Vector2(3.0f, 1.2f);
        }

        public void Update(TouchLocation touch, GameTime gameTime)
        {
            btnReturn.Update(touch);
            if (btnReturn.Tapped)
                game.gameState = Game1.GameState.TITLE;
        }

        public void Draw(GameTime gameTime)
        {
            lblTitle.Draw();
            btnReturn.Draw();
        }
    }
}
